import 'package:flutter/widgets.dart';
import 'package:flutter_svg/svg.dart';
import 'package:hoshan/core/services/webview/webview.dart';

class AiBanner extends StatelessWidget {
  const AiBanner({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: () {
        NativeWebViewLauncher.openWebView(
            'https://www.aisada.ir/app/page1.html');
      },
      child: Padding(
        padding: const EdgeInsets.only(top: 20),
        child: Stack(
          children: [
            SvgPicture.asset('assets/image/boardings/AI Houshan.svg',width: 370,),
            Positioned(
                left: 15,
                child: Image.asset('assets/icon/gif/33.gif',height: 90,))
          ],
        ),
      ),
    );
  }
}
